sdps: XSdPs Struct Reference

| sdps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XSdPs Struct Reference
Sdps_v3_8

The XSdPs driver instance data. More...

## Data Fields
XSdPs_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | Host_Caps
| Capabilities of host controller. More...
u32 | Host_CapsExt
| Extended Capabilities. More...
u32 | HCS
| High capacity support in card. More...
u8 | CardType
| Type of card - SD/MMC/eMMC. More...
u8 | Card_Version
| Card version. More...
u8 | HC_Version
| Host controller version. More...
u8 | BusWidth
| Current operating bus width. More...
u32 | BusSpeed
| Current operating bus speed. More...
u8 | Switch1v8
| 1.8V Switch support More...
u32 | CardID [4]
| Card ID Register. More...
u32 | RelCardAddr
| Relative Card Address. More...
u32 | CardSpecData [4]
| Card Specific Data Register. More...
u32 | SectorCount
| Sector Count. More...
u32 | SdCardConfig
| Sd Card Configuration Register. More...
u32 | Mode
| Bus Speed Mode. More...
u32 | OTapDelay
| Output Tap Delay. More...
u32 | ITapDelay
| Input Tap Delay. More...
u64 | Dma64BitAddr
| 64 Bit DMA Address More...

## Detailed Description

The XSdPs driver instance data.

The user is required to allocate a variable of this type for every SD device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u32 XSdPs::BusSpeed

Current operating bus speed.

Referenced by XSdPs_CardInitialize(), and XSdPs_Change_BusSpeed().

u8 XSdPs::BusWidth

Current operating bus width.

Referenced by XSdPs_CardInitialize(), and XSdPs_Change_BusWidth().

u8 XSdPs::Card_Version

Card version.

Referenced by XSdPs_CardInitialize(), XSdPs_MmcCardInitialize(), and XSdPs_SdCardInitialize().

u32 XSdPs::CardID[4]

Card ID Register.

Referenced by XSdPs_MmcCardInitialize(), and XSdPs_SdCardInitialize().

u32 XSdPs::CardSpecData[4]

Card Specific Data Register.

u8 XSdPs::CardType

Type of card - SD/MMC/eMMC.

Referenced by XSdPs_CardInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Change_BusWidth(), XSdPs_FrameCmd(), and XSdPs_Idle().

XSdPs_Config XSdPs::Config

Configuration structure.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Change_BusWidth(), XSdPs_Change_ClkFreq(), XSdPs_CmdTransfer(), XSdPs_Get_BusSpeed(), XSdPs_Get_BusWidth(), XSdPs_Get_Mmc_ExtCsd(), XSdPs_Get_Status(), XSdPs_Idle(), XSdPs_MmcCardInitialize(), XSdPs_ReadPolled(), XSdPs_SdCardInitialize(), XSdPs_Set_Mmc_ExtCsd(), XSdPs_SetBlkSize(), XSdPs_SetupADMA2DescTbl64Bit(), and XSdPs_WritePolled().

u64 XSdPs::Dma64BitAddr

64 Bit DMA Address

Referenced by XSdPs_CfgInitialize(), XSdPs_ReadPolled(), XSdPs_SetupADMA2DescTbl64Bit(), and XSdPs_WritePolled().

u8 XSdPs::HC_Version

Host controller version.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusWidth(), XSdPs_Change_ClkFreq(), XSdPs_MmcCardInitialize(), XSdPs_ReadPolled(), XSdPs_SdCardInitialize(), XSdPs_SetupADMA2DescTbl(), and XSdPs_WritePolled().

u32 XSdPs::HCS

High capacity support in card.

Referenced by XSdPs_MmcCardInitialize(), and XSdPs_SdCardInitialize().

u32 XSdPs::Host_Caps

Capabilities of host controller.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_MmcCardInitialize(), XSdPs_ReadPolled(), XSdPs_SdCardInitialize(), and XSdPs_WritePolled().

u32 XSdPs::Host_CapsExt

Extended Capabilities.

u32 XSdPs::IsReady

Device is initialized and ready.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Change_BusWidth(), XSdPs_Change_ClkFreq(), XSdPs_CmdTransfer(), XSdPs_Get_BusSpeed(), XSdPs_Get_BusWidth(), XSdPs_Get_Mmc_ExtCsd(), XSdPs_Get_Status(), XSdPs_MmcCardInitialize(), XSdPs_Pullup(), XSdPs_SdCardInitialize(), and XSdPs_SetBlkSize().

u32 XSdPs::ITapDelay

Input Tap Delay.

Referenced by XSdPs_CardInitialize(), and XSdPs_CfgInitialize().

u32 XSdPs::Mode

Bus Speed Mode.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Change_BusWidth(), and XSdPs_Change_ClkFreq().

u32 XSdPs::OTapDelay

Output Tap Delay.

Referenced by XSdPs_CardInitialize(), and XSdPs_CfgInitialize().

u32 XSdPs::RelCardAddr

Relative Card Address.

Referenced by XSdPs_Change_BusWidth(), XSdPs_Get_BusWidth(), XSdPs_Get_Status(), XSdPs_MmcCardInitialize(), XSdPs_Pullup(), XSdPs_SdCardInitialize(), and XSdPs_Select_Card().

u32 XSdPs::SdCardConfig

Sd Card Configuration Register.

u32 XSdPs::SectorCount

Sector Count.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_MmcCardInitialize(), and XSdPs_SdCardInitialize().

u8 XSdPs::Switch1v8

1.8V Switch support

Referenced by XSdPs_CardInitialize(), and XSdPs_SdCardInitialize().